com.intellectualcrafters.plot.util

## Class SetBlockFast

- java.lang.Object
- - com.intellectualcrafters.plot.util.SetBlockFast

-     public class SetBlockFast
      extends java.lang.Object

  SetBlockFast class
  Used to do fast world editing

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetBlockFast()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `set(org.bukkit.World world, int x, int y, int z, int blockId, byte data)`
    `static void` | `update(org.bukkit.entity.Player player)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetBlockFast

          public SetBlockFast()
                       throws java.lang.NoSuchMethodException

      Throws:
        `java.lang.NoSuchMethodException`

  - ### Method Detail

    - #### set

          public static boolean set(org.bukkit.World world,
                    int x,
                    int y,
                    int z,
                    int blockId,
                    byte data)
                             throws java.lang.NoSuchMethodException

      Throws:
        `java.lang.NoSuchMethodException`

    - #### update

          public static void update(org.bukkit.entity.Player player)